> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/es/vast/vast-wrapper.md).

# Etiqueta contenedora VAST

## Ejemplo XML

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>EXADS</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.realsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## Propiedades

| Opción                                   | Explicación                                                                                                                                                                                                                                                                                                                                                    |
| ---------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `<?xml version="1.0" encoding="UTF-8"?>` | Prólogo XML con versión y codificación definidas.                                                                                                                                                                                                                                                                                                              |
| `VAST`                                   | Versión de VAST utilizada por este elemento                                                                                                                                                                                                                                                                                                                    |
| `Wrapper fallbackOnNoAd`                 | Indica que hay otro elemento VAST dentro del árbol. Si "Video Fallback" está habilitado en la configuración de la zona publicitaria, esto también indicará qué posición tiene este elemento en la cola VAST                                                                                                                                                    |
| `VASTAdTagURI`                           | El elemento se usa para proporcionar una URI a una respuesta VAST secundaria. Esta respuesta secundaria puede ser otro Wrapper, pero eventualmente un wrapper VAST debe devolver un `<InLine>` anuncio. La versión 3 no limita el número de redirecciones Wrapper, pero a partir de la versión 4 se permiten como máximo 5 redirecciones Wrapper VAST.         |
| `Clics en el video`                      | Elemento que se utiliza para especificar qué debe hacer el reproductor de video si el usuario hace clic directamente dentro del marco del reproductor de video mientras se muestra el anuncio. Cuando se proporciona un `<VideoClicks>` elemento, contiene un único `<ClickTracking>` elemento hijo con URI (o `<ClickThrough>` en caso de una etiqueta VAST). |
| `ClickTracking`                          | El elemento se usa para rastrear el `clickthrough` cuando el archivo creativo maneja el `clickthrough`.                                                                                                                                                                                                                                                        |
| `Extensión`                              | Configuración adicional proporcionada por el servidor de anuncios                                                                                                                                                                                                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/es/vast/vast-wrapper.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
